import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import {KeyUnitManagementComponent} from './key-unit-management/key-unit-management.component'
import { EditUnitInfoComponent } from './edit-unit-info/edit-unit-info.component';
import { ViewUnitDetailsComponent } from './view-unit-details/view-unit-details.component';
import {MTokenK1Component} from '../m-token-k1/m-token-k1.component' //K1秘钥
import { EditPlanInfoComponent } from './edit-plan-info/edit-plan-info.component';
import { ViewUnitDetailsPlanComponent } from './view-unit-details-plan/view-unit-details-plan.component';



const routes: Routes = [
  { path: '', component: KeyUnitManagementComponent},
  { path: 'editunitinfo', component: EditUnitInfoComponent,},//守卫验证,canActivate: [MTokenK1Component]
  { path: 'viewunitinfo', component: ViewUnitDetailsComponent},
  { path: 'editplaninfo', component: EditPlanInfoComponent},
  { path: 'viewunitinfoplan', component: ViewUnitDetailsPlanComponent}
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class KeyUnitRoutingModule { }
