/*
 * @Descripttion: 
 * @version: 
 * @Author: sueRimn
 * @Date: 2020-12-24 10:59:48
 * @LastEditors: sueRimn
 * @LastEditTime: 2021-01-28 14:17:50
 */
import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import {EntryPlanComponent} from './entry-plan/entry-plan.component'
import { OpenPlanComponent } from './open-plan/open-plan.component';
import { PassPlanComponent } from './pass-plan/pass-plan.component';
import { EntryPlanLookComponent } from './entry-plan-look/entry-plan-look.component';
import { WebLookComponent } from './web-look/web-look.component';
import {OnetwoEntryPlanComponent} from './onetwo-entry-plan/onetwo-entry-plan.component';
import { MeetPlanComponent } from './meet-plan/meet-plan.component';
import { TypePlanComponent } from './type-plan/type-plan.component'
import { MaintainUpComponent } from './maintain-up/maintain-up.component'
import { from } from 'rxjs';
import { ReinforcePlanComponent } from './reinforce-plan/reinforce-plan.component';
import { CreatePlanOnlineFiveComponent } from './create-plan-online-five/create-plan-online-five.component';
import { SixFamiliarityComponent } from './six-familiarity/six-familiarity.component';
import { DrillRecordComponent } from './drill-record/drill-record.component';
import { PlanDeductionComponent } from './plan-deduction/plan-deduction.component';

const routes: Routes = [
  { path: 'entryPlan', component: EntryPlanComponent},
  { path: 'openPlan', component: OpenPlanComponent},
  { path: 'passPlan1', component: PassPlanComponent},
  { path: 'passPlan', component: PassPlanComponent},
  { path: 'entryPlandetail', component: EntryPlanLookComponent},
  { path: 'webLook', component: WebLookComponent},
  { path: 'OnetwoEntryPlan', component: OnetwoEntryPlanComponent},//一级预案录入
  { path: 'OnetwoEntryPlan2', component: OnetwoEntryPlanComponent},//二级预案录入
  { path: 'MeetPlan',component:MeetPlanComponent},//应急预案
  { path: 'typePlan',component:TypePlanComponent},//类型预案
  { path: 'maintainup',component:MaintainUpComponent},//维护更新
  { path: 'reinforceplan',component:ReinforcePlanComponent},//增援预案
  { path: 'createplanonlinefive',component:CreatePlanOnlineFiveComponent},//在线编制五级预案
  { path: 'sixFamiliarity',component:SixFamiliarityComponent},//六熟悉
  { path: 'drillRecord',component:DrillRecordComponent},//演练记录
  { path: 'PlanDeduction',component:PlanDeductionComponent},//预案推演
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class PlanManagementRoutingModule { }
