/*
 * @Descripttion: 
 * @version: 
 * @Author: sueRimn
 * @Date: 2020-09-02 16:57:00
 * @LastEditors: sueRimn
 * @LastEditTime: 2021-05-08 09:51:15
 */
import { Component, NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { PageOneComponent } from './state/page-one/page-one.component';
import { PageTwoNameComponent } from './state/page-two-name/page-two-name.component';
import { PageTwoTimeComponent } from './state/page-two-time/page-two-time.component';
import { PageZhongDuiDetailsComponent } from './state/page-zhong-dui-details/page-zhong-dui-details.component';
import { PageThereComponent } from './state/page-there/page-there.component';
import { PageThereYearComponent } from './state/page-there-year/page-there-year.component'
import { DeleteOneComponent } from './deleteUnit/delete-one/delete-one.component';
import { DeleteTwoComponent } from './deleteUnit/delete-two/delete-two.component';
import { DeleteTwoNewaddComponent } from './deleteUnit/delete-two-newadd/delete-two-newadd.component'
import { DeleteThereComponent } from './deleteUnit/delete-there/delete-there.component';
import { DeleteThereLineDetailsComponent } from './deleteUnit/delete-there-line-details/delete-there-line-details.component';
import { DeleteFourComponent } from './deleteUnit/delete-four/delete-four.component';
import { BuildingTypeOneComponent } from './buildingType/building-type-one/building-type-one.component';
import { ScheduledUpdatesComponent, publicEchartsComponent } from './scheduled-updates/scheduled-updates.component'
import { BuildingTypeTwoForwardComponent } from './buildingType/building-type-two-forward/building-type-two-forward.component';
import { BuildingTypeTwoReverseComponent } from './buildingType/building-type-two-reverse/building-type-two-reverse.component';
import { BuildingTypeThreeDetailsComponent } from './buildingType/building-type-three-details/building-type-three-details.component';
import { AddUnitOneComponent } from './addUnit/add-unit-one/add-unit-one.component';
import { AddUnitTwoTypeStatisticsComponent } from './addUnit/add-unit-two-type-statistics/add-unit-two-type-statistics.component';
import { AddUnitTwoTypeDetailsComponent } from './addUnit/add-unit-two-type-details/add-unit-two-type-details.component';
import { AddUnitTwoTimeComponent } from './addUnit/add-unit-two-time/add-unit-two-time.component';
import { AddUnitThreeLineDetailsComponent } from './addUnit/add-unit-three-line-details/add-unit-three-line-details.component';
import { AddUnitThreeBarDetailsComponent } from './addUnit/add-unit-three-bar-details/add-unit-three-bar-details.component';
import { HomeComponent } from './home/home.component';
import { yueDateComponent } from './scheduled-updates/scheduled-updates.component'
import { CompangInfoComponent } from './compang-info/compang-info.component'
import { AllPlanComponent } from './all-plan/all-plan.component'
import { PlanAnalysisBySynthesisComponent } from './plan-analysis-by-synthesis/plan-analysis-by-synthesis.component';
import { RealMonitoringComponent } from './real-monitoring/real-monitoring.component'
import { CombinedQueryComponent } from './combined-query/combined-query.component'

const routes: Routes = [
  { path: 'statePageOne', component: PageOneComponent },
  { path: 'statePageOne/time', component: PageTwoTimeComponent },
  { path: 'statePageOne/name', component: PageTwoNameComponent },
  { path: 'stataPageThere', component: PageThereComponent },
  { path: 'stataPageThereYearComponent', component: PageThereYearComponent },
  { path: 'PageZhongDuiDetails', component: PageZhongDuiDetailsComponent },
  { path: 'delete_one', component: DeleteOneComponent },
  { path: 'delete_one/delete_two', component: DeleteTwoComponent },
  { path: 'delete_one/delete_there', component: DeleteThereComponent },
  { path: 'delete_one/delete_four', component: DeleteFourComponent },
  { path: 'delete_two', component: DeleteTwoComponent },
  { path: 'delete_two_newadd', component: DeleteTwoNewaddComponent },
  { path: 'delete_there', component: DeleteThereComponent },
  { path: 'delete_thereLineDetails', component: DeleteThereLineDetailsComponent },
  { path: 'delete_four', component: DeleteFourComponent },
  { path: 'buildingType_one', component: BuildingTypeOneComponent },
  { path: 'buildingType_one/buildingType_two_forward', component: BuildingTypeTwoForwardComponent },
  { path: 'buildingType_one/buildingType_two_reverse', component: BuildingTypeTwoReverseComponent },
  { path: 'buildingType_one/buildingType_three_details', component: BuildingTypeThreeDetailsComponent },
  { path: 'addUnit_one', component: AddUnitOneComponent },
  { path: 'addUnit_one/addUnit_two_type', component: AddUnitTwoTypeStatisticsComponent },
  { path: 'addUnit_one/addUnit_two_typeDetails', component: AddUnitTwoTypeDetailsComponent },
  { path: 'addUnit_one/addUnit_two_time', component: AddUnitTwoTimeComponent },
  { path: 'addUnit_one/addUnit_two_time/three_lineDetails', component: AddUnitThreeLineDetailsComponent },
  { path: 'addUnit_one/addUnit_two_time/three_barDetails', component: AddUnitThreeBarDetailsComponent },
  { path: 'scheduledUpdates', component: ScheduledUpdatesComponent },
  { path: 'scheduledUpdates/yueDate', component: yueDateComponent },
  { path: 'scheduledUpdates/PublicEcharts', component: publicEchartsComponent },
  { path: 'home', component: HomeComponent },
  { path: 'CompangInfo', component: CompangInfoComponent },
  { path: 'AllPlan', component: AllPlanComponent },
  { path: 'PlanAnalysisBySynthesis', component: PlanAnalysisBySynthesisComponent },
  { path: 'RealMonitoring', component: RealMonitoringComponent },
  { path :'CombinedQuery',component:CombinedQueryComponent}
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class StatisticAnalysisRoutingModule { }
