
export default class MapTools {
    //显式转换
    public static ExplicitConvert(data: any): any {
        if (data == null) {
            return
        }
        let obj = Object.assign({}, data);
        let convert = (obj: any, data: string) => {
            if (!obj[data]) return;
            if (obj[data].discriminator === "ISelf") {
                obj[data] = obj[data].self;
            } else if (obj[data].discriminator === "ISelfCombine") {
                Object.assign(obj, obj[data].self);
            }
        }

        let process = (obj: any, deep: number = 0) => {
            try {
                deep++;
                if (deep >= 4) return;
                if (obj == undefined) return;
                if (!(obj instanceof Object)) return;
                for (var name in obj) {
                    if (obj[name] instanceof Array) {
                        for (var j in obj[name]) {
                            convert(obj[name], j);
                            process(obj[name][j], deep);
                        }
                        continue;
                    }
                    convert(obj, name);
                    process(obj[name], deep);
                }
            } catch (e) {
                console.log(e);
                debugger
            }
        }
        process(obj);
        return obj;
    }
}