import { Component, OnInit, Inject ,ViewChild} from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { MatDialog, MatDialogRef, MAT_DIALOG_DATA } from '@angular/material/dialog';
import Swiper from 'swiper';



@Component({
    selector: 'keysiteimgs',
    templateUrl: './keysiteimgs.component.html',
    styleUrls: ['./key-site.component.scss']
  })

export class KeySiteImgs2 {
  
  constructor(private http:HttpClient,public dialog: MatDialog,public dialogRef: MatDialogRef<KeySiteImgs2>,
    @Inject(MAT_DIALOG_DATA) public data) { }
    testSwiper: Swiper;

  ngOnInit(): void {
    this.allImages = []
    this.data.forEach(element => {
      element = `${element}?x-oss-process=image/auto-orient,1`
      this.allImages.push(element)
    });
  }
  
  ngAfterViewInit() { 

    this.testSwiper = new Swiper('.swiper-container', {
      direction: 'horizontal',
      loop: false,
      lazy: true,
      // 如果需要前进后退按钮
      navigation: {
          nextEl: '.swiper-button-next',
          prevEl: '.swiper-button-prev',
      }
    });

  }

  allImages:any; //展示所有的图片
  rotationAngle:number=0; //旋转角度

  //旋转图片
  rotate () {
    this.rotationAngle = this.rotationAngle+90
    if (this.rotationAngle === 360) {this.rotationAngle = 0}
  }



}
  