/*
 * @Descripttion: 
 * @version: 
 * @Author: sueRimn
 * @Date: 2020-11-05 15:27:58
 * @LastEditors: sueRimn
 * @LastEditTime: 2020-11-07 20:00:19
 */
import { Component, OnInit } from '@angular/core';
import { HttpClient,HttpHeaders, HttpEventType } from '@angular/common/http';
import { MatSnackBar ,MatSnackBarConfig} from '@angular/material/snack-bar';
import { FileUploader, FileItem } from 'ng2-file-upload'
import Viewer from 'viewerjs';
@Component({
  selector: 'app-know-route',
  templateUrl: './know-route.component.html',
  styleUrls: ['./know-route.component.scss']
})
export class KnowRouteComponent implements OnInit {

  constructor(public snackBar: MatSnackBar,private http: HttpClient) { }


  pattern:any = sessionStorage.getItem("six")//模式 
  ngOnInit(): void {
    
  }
 


  //input框显隐
  inputShow=true
  //控制底部div显隐
  showorfalse="www"
  //判断选中路线的值
  chooseid:any
  //熟悉路线对象
  knowRoute=[{name:``,idnum:""}]
  //熟悉部位对象
  knowBw=[{name:"消控室"},{name:"水泵房"},{name:"疏散楼梯"},{name:"各楼层"},{name:"楼层消火栓"},{name:"水泵结合器"},{name:"室外消防水源"}]
  textareazhi:""
  //没有上传图片时显示的图片，当上传后就会被替换，即保存时需要传的图片地址参数
  imgsrc = "../../../assets/images/upload.jpg"
  imgUrl = ""//返回来的图片地址后缀
  file: any; //上传的文件
  objectName: any; //上传对象名
  uploadId: any; //上传分块上传事件编号
  isspinner:boolean=false //控制进度圈的显示隐藏
  PartNumberETag: any = []; //分块上传每次返回需要保存的信息
  //change选择文件
  filechange(e) {
    this.file = e.target.files[0] || null //上传的文件
    var reader = new FileReader();
    reader.readAsDataURL(this.file);
    var image:any = new Image();
    reader.onload = function(){
      image.src = reader.result
    }
    setTimeout(() => {
      if(image.width>=4096 || image.height>=5000 ){ 
        const config = new MatSnackBarConfig();
        config.verticalPosition = 'top';
        config.duration = 3000
        this.snackBar.open('请选择分辨率小于4096*5000的图片','确定',config);
      }else{
        if(this.file){
          this.startUploading()
        }
      }
     
    }, 500);
  } 
  //上传文件
  startUploading() {
    this.isspinner = true
    let file = this.file || null //获取上传的文件
    let fileSize = file.size || null //上传文件的总大小
    let shardSize = 5 * 1024 * 1024 //5MB一个分片

    if (file && fileSize <= shardSize) { //上传文件<=5MB时
      // this.upload()
      let formData = new FormData()
      formData.append("file",file)
      this.http.post(`/api/Objects/PlanPlatform/${sessionStorage.getItem('companyId')}`,formData).subscribe((data:any)=>{
        this.isspinner = false
        this.imgUrl = data.objectName
        this.imgsrc = `/api/Objects/PlanPlatform/${this.imgUrl}?x-oss-process=image/resize,m_fill,h_170,w_299`
        // console.log(this.imgsrc)
        this.uploadSucced[this.chooseid].src=this.imgsrc
        this.inputShow=false

        // console.log(this.uploadSucced)
        const config = new MatSnackBarConfig();
        config.verticalPosition = 'top';
        config.duration = 3000
        this.snackBar.open('上传成功','确定',config);
      })
    } else if (file && fileSize >= shardSize) { //上传文件>5MB时,分块上传

    }
  }


  //熟悉部位点击事件
  addRoute(event,item){
    if(this.pattern == 'edit'){
     
      this.knowRoute.push({name:event.target.innerHTML,idnum:"🠖"})
      this.uploadSucced.push({name:item.name,src:"",smark:""})
    }else{
      const config = new MatSnackBarConfig();
      config.verticalPosition = 'top';
      config.duration = 3000
      this.snackBar.open('处于查看模式','确定',config);
    }
    
  }

  savekey
  uploadSucced:any = JSON.parse(localStorage.getItem(sessionStorage.getItem("companyId")+"xxx")) || []//上传成功暂存对象
  gallery
  //熟悉路线点击事件
  knowroutwClick(key,item){
    this.showorfalse = "show"
    this.chooseid=key
    setTimeout(() => {
      if(document.getElementById('viewerjs')){
        this.gallery = new Viewer(document.getElementById('viewerjs'),{
          url: 'data-original'
        });
      }
    }, 0);
    if( JSON.parse(localStorage.getItem(sessionStorage.getItem("companyId")+"xxx"))
      && JSON.parse(localStorage.getItem(sessionStorage.getItem("companyId")+"xxx"))[key] 
      && JSON.parse(localStorage.getItem(sessionStorage.getItem("companyId")+"xxx"))[key].src!=""){
      this.imgsrc=JSON.parse(localStorage.getItem(sessionStorage.getItem("companyId")+"xxx"))[key].src
      this.textareazhi=JSON.parse(localStorage.getItem(sessionStorage.getItem("companyId")+"xxx"))[key].smark
      this.inputShow=false
    }else if(this.uploadSucced[key].src!=""){
      this.imgsrc=this.uploadSucced[key].src
      this.inputShow=false
    }else{
      this.imgsrc="../../../assets/images/upload.jpg"
      this.textareazhi=""
      this.inputShow=true
    }
  }
  //保存点击事件
  savaClick(){
    localStorage.setItem(sessionStorage.getItem("companyId")+"xxx",JSON.stringify(this.uploadSucced))
    const config = new MatSnackBarConfig();
    config.verticalPosition = 'top';
    config.duration = 3000
    this.snackBar.open('保存成功','确定',config);
  }

}
