import { HttpClient } from '@angular/common/http';
import { Component, Inject, OnInit } from '@angular/core';
import { MatDialogRef, MAT_DIALOG_DATA } from '@angular/material/dialog';

@Component({
  selector: 'app-view-details',
  templateUrl: './view-details.component.html',
  styleUrls: ['./view-details.component.scss']
})
export class ViewDetailsComponent implements OnInit {

  constructor(private http: HttpClient,public dialogRef: MatDialogRef<ViewDetailsComponent>,@Inject(MAT_DIALOG_DATA) public data) {}
  Url:string
  onNoClick(): void {
    this.dialogRef.close();
  }
  ngOnInit(): void {
   this.Url = '/api/Objects/PlanPlatform/' + this.data.item.objectName
  }
  closeDialog(){
    this.dialogRef.close();
  }

}
