import { Component, OnInit } from '@angular/core';
import { Router,ActivatedRoute } from '@angular/router'
import { DomSanitizer } from '@angular/platform-browser';

@Component({
  selector: 'app-web-look',
  templateUrl: './web-look.component.html',
  styleUrls: ['./web-look.component.scss']
})
export class WebLookComponent implements OnInit {

  constructor(private router:Router,private route:ActivatedRoute,private sanitizer: DomSanitizer) { }
  url:any = sessionStorage.getItem("url")
  thirdPartyURL:any
  ngOnInit(): void {
    this.thirdPartyURL = this.sanitizer.bypassSecurityTrustResourceUrl(this.url)
  }

}
