/*
 * @Descripttion: 
 * @version: 
 * @Author: sueRimn
 * @Date: 2021-01-29 15:54:45
 * @LastEditors: sueRimn
 * @LastEditTime: 2021-05-20 10:14:47
 */
import { Routes, RouterModule } from '@angular/router';
import { NgModule } from '@angular/core';
import { UiComponent } from './ui.component';
import { PaginatorComponent } from './paginator/paginator.component';
import { UserdataComponent } from './userdata/userdata.component';
import { OrganizationComponent } from './organization/organization.component';
import { UnittypeComponent } from './unittype/unittype.component';
import { AuthorityComponent } from './authority/authority.component';
import { RoleComponent } from './role/role.component';
import { UsermanagementComponent } from './usermanagement/usermanagement.component';
import { NavmenusComponent } from './navmenus/navmenus.component';
import { FireProtectionElementsComponent } from './fire-protection-elements/fire-protection-elements.component';
import {MaterialBankComponent} from './material-bank/material-bank.component'
import {UnitInformationComponent} from './unit-information/unit-information.component'
import { EnterpriseuserComponent } from './enterpriseuser/enterpriseuser.component';
import { FireFightingFacilitiesFormworkComponent } from './fire-fighting-facilities-formwork/fire-fighting-facilities-formwork.component'
import { CollectionToolsComponent } from './collection-tools/collection-tools.component';
import { PlanTemplateComponent } from './plan-template/plan-template.component'



const routes: Routes = [
    { path: '', component: UiComponent},
    { path: 'paginator', component:PaginatorComponent },
    { path: 'userdata', component:UserdataComponent },
    { path: 'organization', component:OrganizationComponent },
    { path: 'unittype', component:UnittypeComponent },
    { path: 'authority', component:AuthorityComponent },
    { path: 'role', component:RoleComponent },
    { path: 'usermanagement', component:UsermanagementComponent },
    { path: 'navmenus', component:NavmenusComponent },
    { path: 'fireProtectionElements', component:FireProtectionElementsComponent },
    { path: 'materialBank', component:MaterialBankComponent },
    { path: 'unitInformation', component:UnitInformationComponent },
    { path: 'enterpriseuser', component:EnterpriseuserComponent },
    { path: 'fireFightingFacilitiesFormwork', component:FireFightingFacilitiesFormworkComponent },
    { path: 'collectionTools', component:CollectionToolsComponent },
    { path: 'PlanTemplate', component:PlanTemplateComponent },
];

@NgModule({
    imports: [RouterModule.forChild(routes)],
    exports: [RouterModule]
})
export class UiRoutingModule {}
