import { Component, OnInit, Inject } from '@angular/core';
import {MatTreeFlatDataSource, MatTreeFlattener} from '@angular/material/tree';
import {FlatTreeControl} from '@angular/cdk/tree';
import { HttpClient } from '@angular/common/http';
import {MatDialog, MatDialogRef, MAT_DIALOG_DATA} from '@angular/material/dialog';
import {FormControl} from '@angular/forms';
import { MatSnackBar } from '@angular/material/snack-bar';
@Component({
    selector: 'addunitinfo',
    templateUrl: './addunitinfo.component.html',
    styleUrls: ['./unit-information.component.scss']
  })
  export class AddUnitInfo {
    myControl = new FormControl();
    templatestatus = "0"//创建模板时的默认状态
    constructor(private http: HttpClient,public dialogRef: MatDialogRef<AddUnitInfo>,@Inject(MAT_DIALOG_DATA) public data) {}
    onNoClick(): void {
      this.dialogRef.close();
    }
    onSubmit(value){
      this.http.post("/api/BasicCategories",{
          id: "",
          name: value.templatename, 
          enabled: Boolean(Number(value.enable)) ,
      }).subscribe(data=>{
          this.dialogRef.close('ooo');
      })
    }
  }